## bins 1.1.27

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,21 @@
 
 # version of the package
-VERSION=1.1.21
+VERSION=1.1.27
 # name of the tarball
 TARBALL = bins-$(VERSION).tar
 # files to put in the tarball
 DIST =  bins bins_edit bins_cleanupgallery bins-edit-gui bins-edit-gui.glade \
-	bins_txt2xml install.sh binsrc \
+	bins_txt2xml install.sh binsrc anti_bins \
 	LICENSE README README.gui RELEASE.gui TODO ChangeLog CREDITS \
 	doc/*.html doc/*.sgml doc/album.xml \
 	doc/bins.1 doc/bins_edit.1 doc/bins-edit-gui.1 \
 	doc/bins_man.html doc/bins_edit_man.html doc/bins-edit-gui_man.html \
-	templates*/*.html templates*/static/*.* intl/*.po \
+	templates*/*.html templates*/*.txt templates*/static/*.* \
+	bash_completion \
+        intl/*.po \
 	intl/generate_mo.sh \
-	intl/fr.mo intl/pl.mo intl/de.mo intl/it.mo intl/ru.mo intl/es.mo\
-	intl/zh.mo \
+	intl/fr.mo intl/pl.mo intl/de.mo intl/it.mo intl/ru.mo intl/es.mo \
+	intl/zh_TW.mo intl/nl.mo intl/ja.mo intl/eo.mo intl/fi.mo intl/hu.mo \
 	intl/gui-fr.mo
 
 # name of the dir in the tarball
@@ -58,30 +60,30 @@
 	cd www/xml && make publish
 
 upload: publish
-	@if [ `hostname` != "kashmir" ]; then\
+	@if [ `hostname` != "ketama" ]; then\
 		cp -afuv ~/public_html/perso/BINS/* ~/kashmir/public_html/perso/BINS ;\
 		ssh kashmir 'PATH=$$PATH:~/bin update_www free' ;\
 		ssh kashmir 'PATH=$$PATH:~/bin update_www libertysurf' ;\
 	else\
-		update_www free ;\
-		update_www libertysurf ;\
+		update_www tiscali ;\
 	fi
+#		update_www free ;\
 
 test: install
 	time bins -p ~/share/pics/test ~/public_html/test
 
 album: install
-	time bins -p ~/share/pics/album ~/public_html/album
+	time nice -14 bins -p ~/share/pics/album ~/public_html/album
 
 demo:
-	time cp -afuv ~/public_html/album/* ~/kashmir/public_html/album
+	time cp -afuv ~/public_html/album/.??* ~/public_html/album/* ~/kashmir/public_html/album
 #	time rsync -avu ~/public_html/album/ ~/kashmir/public_html/album
 
 dormans: .install
-	time bins -p ~/share/pics/Dormans ~/kashmir/public_html/photos/Dormans
+	time nice -14 bins -p ~/share/pics/Dormans ~/kashmir/public_html/photos/Dormans
 
 famille: .install
-	time bins -p ~/share/pics/famille ~/kashmir/public_html/photos/famille
+	time nice -14 bins -p ~/share/pics/famille ~/kashmir/public_html/photos/famille
 
 clean: 
 	rm -f *~ *.old *.tar */*~ .install
@@ -92,7 +94,7 @@
 	mkdir $(DIR-DIST)
 	cp --parents $^ $(DIR-DIST)
 	cp www/xml/*.html www/xml/*.xml $(DIR-DIST)/doc
-	change 1.1.21 $(VERSION) $(DIR-DIST)/*
+	$(HOME)/bin/change 1.1.27 $(VERSION) $(DIR-DIST)/*
 	tar \
 	    --exclude=*~ \
 	    --exclude=*.old \
@@ -116,8 +118,9 @@
 %.1: %.sgml
 	docbook-to-man $< >$@
 
-%.mo: %.po
-	msgfmt -o $@ $<
+%.mo: %.po bins
+	./intl/generate_mo.sh $<
+#	msgfmt -o $@ $<
 
 %.gz: %
 	gzip -c --best $< >$@
