=== debian/changelog ===
bins (1.1.29-16) unstable; urgency=low

  [ David Prévot ]
  * debian/patches/39_fix_local_install Fix /usr/local… path (Closes: #684412)
  * remove debian/patches/37_bins_thumbnails
    Drop the #196310 fix that breaks subdirectories (Closes: #684415)

  [ Ludovic Rousseau ]
  * ACK NMU by David Prévot

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 16 Aug 2012 19:28:34 -0400

bins (1.1.29-15) unstable; urgency=low

  * Fix "include size of linked movie file in thumb*.html and imagelist.html"
    (Closes: #402458)
  * Fix "thumbnails in independent directory" (Closes: #196310)
  * Fix "doesn't find search.js when using non default template"
    (Closes: #411149)

 -- Boro Sitnikovski <buritomath@yahoo.com>  Mon, 18 Jun 2012 19:02:08 +0200

bins (1.1.29-14) unstable; urgency=low

  * Fix "Original .png files result in .jpg files but containing PNG
    data" convert any input file format as "JPEG" output (Closes: #235272)
  * Fix lintian warning:
    W: bins source: debian-rules-missing-recommended-target build-arch
  * debian/control: Standards-Version: 3.8.3 -> 3.9.3. No change needed
  * debian/rules: dh_clean -k is deprecated; use dh_prep instead
  * patch bins.1 directly instead of patching bins.sgml and generating a
    bins.1 manpage. debian/rules do not "patch" any file now, only quilt does
    that.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 09 Jun 2012 17:37:19 +0200

bins (1.1.29-13) unstable; urgency=low

  * debian/control: add Depends: ${misc:Depends}
    W: bins source: debhelper-but-no-misc-depends bins
  * move to source package format version "3.0 (quilt)"
  * debian/control: Standards-Version: 3.7.3 -> 3.8.3. No change needed
  * debian/patches/*: convert to DEP-3 "Patch Tagging Guidelines"
  * debian/patches/34_bins.1: spelling-error-in-manpage
    usr/share/man/man1/bins.1.gz

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 03 Jan 2010 15:13:31 +0100

bins (1.1.29-12) unstable; urgency=low

  * move from dpatch to quilt to manage Debian patches
  * debian/patches/23_bashism: Closes: #489542 "bins: bashism in /bin/sh
    script"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 06 Aug 2008 21:30:47 +0200

bins (1.1.29-11) unstable; urgency=low

  * debian/patches/22_bins-hash-ref.dpatch: Crashes mid-album
    (Closes: #481662)

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 22 May 2008 21:05:41 +0200

bins (1.1.29-10) unstable; urgency=low

  * debian/control:
   - use the Homepage: field
   - add Vcs-Svn: and Vcs-Browser: fields
   - Standards-Version: 3.7.2 -> 3.7.3. no change needed
  * do not package bins-edit-gui since it depends on Gtk+ 1.x and this is no
    more available in Debian. Closes: #471949: "bins-edit-gui asks to install
    non-existing package"
  * debian/rules: use binary-indep: instead of binary-arch: target to avoid a
    binary-arch-rules-but-pkg-is-arch-indep lintian warning
  * debian/patches/21_bins-trim.dpatch: add -trim argument to jpegtran.
    Closes: #284157: "bins: avoidable jpegtran image corruption"

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 21 Mar 2008 17:52:15 +0100

bins (1.1.29-9) unstable; urgency=low

  * debian/patches/{18_bins-memory-leak,19_bins-insert-directory,
    20_bins-syscall}.dpatch: Closes: #395098 "Bins is very slow, eats memory
    and makes unnecessary system calls"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 12 Aug 2007 18:23:53 +0200

bins (1.1.29-8) unstable; urgency=low

  * debian/patches/17_bins.dpatch: use localtime instead of gmtime
    Closes: #431432

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 04 Jul 2007 22:26:01 +0200

bins (1.1.29-7) unstable; urgency=low

  [ Martin Michlmayr ]
  * debian/copyright: Mention license and copyright of the Debian
    packaging.
  * debian/control (Build-Depends-Indep): Move dpatch from here...
  * debian/control (Build-Depends): ... to here.  Thanks, Pierre Habouzit.

  [ Ludovic Rousseau ]
  * debian/patches/14_bins-edit-gui.dpatch: Closes: #386423 "bins: Can't
    locate Gtk/GladeXML.pm"
  * debian/patches/15_example_css.dpatch: Closes: #392439 "bins/index.html:
    blue characters upon a blue background"
  * debian/patches/16_examples_html.dpatch: correct a broken link (use the
    image from http://bins.sautret.org/ instead of a local copy)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 21 Nov 2006 22:22:10 +0100

bins (1.1.29-6) unstable; urgency=low

  [ Martin Michlmayr ]
  * debian/patches/13_locale_encoding.dpatch: Remove stray "print" from
    the copyright statement that is printed when the program is called.
    Closes: #350074.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Jan 2006 13:15:02 +0000

bins (1.1.29-5) unstable; urgency=medium

  [ Martin Michlmayr ]
  * debian/patches/13_locale_encoding.dpatch: Replace the patch with one
    from upstream.  The previous one led to broken HTML generation.
    Closes: #349945.
  * debian/watch: Fix URL and upgrade to version 3.
  * debian/compat: Switch to debhelper compat mode 5.
  * debian/control (Build-Depends): Depend on new debhelper.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 26 Jan 2006 16:14:39 +0000

bins (1.1.29-4) unstable; urgency=low

  [ Martin Michlmayr ]
  * debian/README.Debian: Remove the paragraph about the situation of
    bins-edit-gui and "Suggests" since the packages have been upgraded
    to "Recommends" in 1.1.29-3.
  * debian/patches/09_fix_wrong_relpath.dpatch: Don't produce broken
    links with linkRelative when the source and target directories start
    with the same letter.  Closes: #334088.
  * debian/patches/10_symlinks_movies.dpatch: Support linkInsteadOfCopy
    for movie files.  Closes: #334064.
  * debian/patches/11_check_template_style.dpatch: Check if the specified
    template style exists before processing images.  Closes: #308114.
  * debian/patches/12_optional_xml_elements.dpatch: Make XML elements
    optional and check whether the XML files are valid bins files.
    Closes: #308338.

