=== debian/control ===
Source: bins
Section: web
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Boro Sitnikovski <buritomath@yahoo.com>
Build-Depends: debhelper (>> 5.0.0)
Build-Depends-Indep: gettext
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-bins/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-bins/trunk/
Homepage: http://bins.sautret.org/

Package: bins
Architecture: all
Depends: libio-string-perl, libimage-size-perl, libimage-info-perl, perlmagick, libhtml-parser-perl, libhtml-template-perl, liburi-perl, libxml-perl, libxml-grove-perl, libxml-handler-yawriter-perl, libtext-iconv-perl, liblocale-gettext-perl, libjpeg-progs, libxml-writer-perl, libxml-xql-perl, libhtml-clean-perl, libtimedate-perl, libtext-unaccent-perl, ${misc:Depends}
Description: Generate static HTML photo albums using XML and EXIF tags
 BINS generates a complete static gallery (images and HTML) with
 thumbnails and image lists, using XML files to hold information about
 each image.  Includes bins_edit tool for adding
 information to the XML files.  Interprets EXIF and JFIF tags (and
 Canon extensions) in the jpeg directly.  Gallery appearance
 customizable through HTML templates; gallery can be generated in
 different languages.
 .
 Based on SWIGS (Structured Web Image Gallery System).
