=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LFILES=$(subst intl/,,$(wildcard intl/??.mo))
LANGS=$(LFILES:.mo=)
GUILFILES=$(subst intl/gui-,,$(wildcard intl/gui-??.mo))
GUILANGS=$(GUILFILES:.mo=)

CFLAGS += -g
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/bins.
	echo | ( DESTDIR=`pwd`/debian/bins PREFIX=/usr ./install.sh )
	install -m 0755 tools/bins_cleanupgallery debian/bins/usr/bin/

	install -m 0755 tools/add_num_prefix debian/bins/usr/share/doc/bins/examples/
	install -m 0755 tools/anti_bins debian/bins/usr/share/doc/bins/examples/
	install -m 0755 tools/bins_addtext debian/bins/usr/share/doc/bins/examples/
	install -m 0755 tools/bins_txt2xml debian/bins/usr/share/doc/bins/examples/
	install -m 0755 tools/remove_num_prefix debian/bins/usr/share/doc/bins/examples/

	# install HTML documentation
	cp doc/*html debian/bins/usr/share/doc/bins/

	# remove bins-edit-gui since it depends on Gtk+ 1.x
	find debian -name "bins-edit-gui*" -exec rm {} \;

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
