=== debian/watch ===
version=3

http://download.gna.org/bins/ \
    bins-(.*)\.tar\.gz
